- NAME
-
- gcloud workstations clusters create - create a workstation cluster
- SYNOPSIS
-
-
gcloud workstations clusters create(CLUSTER:--region=REGION) [--async] [--domain=DOMAIN] [--enable-http2] [--enable-private-endpoint] [--endpoint-mode=ENDPOINT_MODE] [--labels=[KEY=VALUE,…]] [--network=NETWORK] [--subnetwork=SUBNETWORK] [--tags=[KEY=VALUE,…]] [--workstation-authorization-url=WORKSTATION_AUTHORIZATION_URL] [--workstation-launch-url=WORKSTATION_LAUNCH_URL] [GCLOUD_WIDE_FLAG …]
-
- DESCRIPTION
- Create a workstation cluster.
- EXAMPLES
-
To create a public cluster
my-clusterin regionus-central1, run:gcloud workstations clusters create my-cluster --region=us-central1To create a private cluster 'my-private-cluster' associated with network 'my-network' and subnetwork 'my-subnetwork'. run:
gcloud workstations clusters create my-private-cluster --region=us-central1 --enable-private-endpoint --network='my-network' --subnetwork='my-subnetwork' - POSITIONAL ARGUMENTS
-
-
Cluster resource - Arguments and flags that specify the cluster to create. The
arguments in this group can be used to specify the attributes of this resource.
(NOTE) Some attributes are not given arguments in this group but can be set in
other ways.
To set the
projectattribute:-
provide the argument
clusteron the command line with a fully specified name; -
provide the argument
--projecton the command line; -
set the property
core/project.
This must be specified.
CLUSTER-
ID of the cluster or fully qualified identifier for the cluster.
To set the
clusterattribute:-
provide the argument
clusteron the command line.
This positional argument must be specified if any of the other arguments in this group are specified.
-
provide the argument
--region=REGION-
The name of the region of the cluster.
To set the
regionattribute:-
provide the argument
clusteron the command line with a fully specified name; -
provide the argument
--regionon the command line; -
set the property
workstations/region.
-
provide the argument
-
provide the argument
-
Cluster resource - Arguments and flags that specify the cluster to create. The
arguments in this group can be used to specify the attributes of this resource.
(NOTE) Some attributes are not given arguments in this group but can be set in
other ways.
- FLAGS
-
--async- Return immediately, without waiting for the operation in progress to complete.
--domain=DOMAIN- Domain used by Workstations for HTTP ingress.
--enable-http2- Whether HTTP/2 is enabled for the workstation cluster.
--enable-private-endpoint- Default is false. If specified, the cluster will be assigned an internal IP address to the Cluster Gateway. This isolates the cluster's workstations from public networks, but requires additional configuration. Learn more: https://cloud.google.com/workstations/docs.
--endpoint-mode=ENDPOINT_MODE-
Specifies endpoint mode for a given command. Regional endpoints provide enhanced
data residency and reliability by ensuring your request is handled entirely
within the specified Google Cloud region. This differs from global endpoints,
which may process parts of the request outside the target region. Overrides the
default
regional/endpoint_modeproperty value for this command invocation.ENDPOINT_MODEmust be one of:global- (Default) Use global rather than regional endpoints.
regional- Only use regional endpoints. An error will be raised if a regional endpoint is not available for a given command.
regional-preferred- Use regional endpoints when available, otherwise use global endpoints. Recommended for most users.
--labels=[KEY=VALUE,…]- Labels that are applied to the cluster and propagated to the underlying Compute Engine resources.
--network=NETWORK- Fully specified network path for instances created in this cluster.
--subnetwork=SUBNETWORK- Fully specified subnetwork path for instances created in this cluster.
- Resource manager tags to be bound to this cluster. For example: "123/environment=production" "123/costCenter=marketing"
- The redirect URL for unauthorized requests. Redirects to this endpoint send a base64 encoded 'state' query param with the workstation name and original request hostname.
--workstation-launch-url=WORKSTATION_LAUNCH_URL- The launch URL for workstations. Requests sent to unstarted workstations will be redirected to this URL with 'workstation' and 'project' query params.
- GCLOUD WIDE FLAGS
-
These flags are available to all commands:
--access-token-file,--account,--billing-project,--configuration,--flags-file,--flatten,--format,--help,--impersonate-service-account,--log-http,--project,--quiet,--trace-token,--user-output-enabled,--verbosity.Run
$ gcloud helpfor details. - API REFERENCE
-
This command uses the
workstations/v1API. The full documentation for this API can be found at: https://cloud.google.com/workstations - REGIONAL ENDPOINTS
-
This command supports regional endpoints. To use regional endpoints for this
command, use the
--endpoint-mode=regional-preferredflag. To use regional endpoints by default, run$ gcloud config set regional/endpoint_mode regional-preferred. - NOTES
-
These variants are also available:
gcloud alpha workstations clusters creategcloud beta workstations clusters create
gcloud workstations clusters create
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-09-29 UTC.